Install Error on Vista x64 SP2

Oct 16, 2010 at 12:46 AM

I've been an xsd2code user for some time now.  Recently, I tried to upgrade to v3.4 and I am getting the following error:

\Software\Wow6432Node\Microsoft\VisualStudio\9.0\CLSID\{9E6FCB59-E3EF-4bbe-966C-30AC92A44DF6}.  Verify that you have sufficient access to that key, or contact your support personnel.

Any thoughts as to what may be causing this?  I have both VS2008 and VS2010 installed on my computer.  I uninstalled 2008 and the error still occurs.

Oct 16, 2010 at 7:41 PM

I have the same problem. I tried modifying the access rights in the registry - but without success.

Can't install it on that Vista x64 machine anymore, so I can only use it from the command line at the moment, or from other computers.

Oct 16, 2010 at 11:09 PM

I tried the same (reg edits).  One option I suppose would be to rebuild the project for x64, which I haven't yet tried... I wanted to see if this was specific to me first....

I am using command line as well for now.

Oct 26, 2010 at 7:22 PM

I had the same problem. Downloading the source code and setting the TargetPlattform property in the setup project to x64 helped me out.

Coordinator
Nov 1, 2010 at 6:53 PM

Hi,

SqlService, thank you for your message.

Now new setup with TargetPlatform x64 is available here :

http://xsd2code.codeplex.com/releases/view/39563

Thanks to tell me if this setup work on x64 (on my windows 7 x64 it's work perfectly).